Public Class _Error
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If IsPostBack Then
            ' ポストバック時
            'LtlPatlite.Text = ""

            If TxtPassword.Text = MyProperty.システムＭ.管理者パスワード Then
                TxtPassword.Visible = False
                LblAnnotation.Visible = False
                LtlBackButton.Text = "<a href=""" + hdnReferrer.Value + """ class=""btn"">元の画面へ</a>"
                LtlDefaultButton.Text = "<a href=""Default.aspx"" class=""btn"">最初の画面へ</a>"
            End If
        Else
            ' 初期表示時
            Page.Header.Title = MyProperty.システムＭ.選挙コード名称

            If Not IsNothing(Request.UrlReferrer) Then
                hdnReferrer.Value = Request.UrlReferrer.ToString

                ' 管理者画面かどうかの判断
                If Request.UrlReferrer.LocalPath.IndexOf(MyConstant.管理者ディレクトリ) >= 0 Then
                    ' 管理者画面の場合
                    LblAnnotation.Text = MyMessage.管理者画面.エラー時ガイド
                    TxtPassword.Visible = False
                    LtlBackButton.Text = "<a href=""" + hdnReferrer.Value + """ class=""btn"">元の画面へ</a>"
                Else
                    ' 投票画面の場合

                    If MyProperty.システムＭ.Isインターネット投票型 Then
                        ' インターネット投票型の場合
                        TxtPassword.Visible = False
                        LblAnnotation.Text = MyProperty.システムＭ.メッセージ.Erroraspx.エラー時インターネット型
                        LtlDefaultButton.Text = "<a href=""Default.aspx"" class=""btn"">最初の画面へ</a>"
                    Else
                        ' 来場型の場合
                        LblAnnotation.Text = MyProperty.システムＭ.メッセージ.Erroraspx.エラー時来場型
                        ' JavaAppletのタグ生成
                        'LtlPatlite.Text = "<APPLET CODE=""PatliteR.class"" ARCHIVE=""PatliteR.jar"" WIDTH=""0"" HEIGHT=""0""></APPLET>"
                    End If
                End If
            End If

        End If

        TxtPassword.Focus()
    End Sub
End Class